package config

import (
	"path"

	ocmsc "git.loafle.net/overflow/commons-go/model/sensorconfig"
)

func SensorConfigContainerDir(name string) string {
	return path.Join(ConfigDir(), name)
}

func SensorConfigFilePath(sensorConfig *ocmsc.SensorConfig) string {
	return path.Join(SensorConfigContainerDir(sensorConfig.Crawler.Container), sensorConfig.Crawler.Name, sensorConfig.ID.String())
}
